### Method

# Foundry Sdk prepare_to_build

#### Declaration [src]

    DexFuture*
    foundry_sdk_prepare_to_build (
      FoundrySdk* self,
      FoundryBuildPipeline* pipeline,
      FoundryProcessLauncher* launcher,
      FoundryBuildPipelinePhase phase
    )

#### Description [src]

Prepares `launcher` to be able to build applications.

That may mean setting things up to access a SDK tooling or other compoonents.

`phase` is used to differentiate between different types of launchers. For example, you may apply a different environment for building dependencies than for the project itself.

#### Parameters

`pipeline`

  Type: `FoundryBuildPipeline`

  A `FoundryBuildPipeline` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`launcher`

  Type: `FoundryProcessLauncher`

  The launcher to prepare.

  The data is owned by the caller of the method.

`phase`

  Type: `FoundryBuildPipelinePhase`

  The phase of the build.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.